import { world } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { MessageFormData } from "@minecraft/server-ui"
import { system } from "@minecraft/server";
import "./shapes/normal.js";
import "./shapes/miring_mulus.js";
import "./shapes/miring_keluar.js";
import "./shapes/miring_kedalam.js";
import "./shapes/miring_voxel.js";
import "./shapes/miring2sisi_voxel.js";
import "./on.js";


world.events.beforeItemUse.subscribe((eventData) => {
    let item = eventData.item;
    let player = eventData.source;
    if (player?.typeId != "minecraft:player") return
    if (item?.typeId == "ndar:shapes") {
        NdarSystem(player);
   }}); 
function NdarSystem(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Shapes")
    form.button("Block List")
    form.button("Shapes Block")
    form.button("Mode: Off")

   form.show(player).then(result => {
      if (result.selection === 0) {
        BlockList(player);
      }  
      if (result.selection === 1) {
        ShapesBlockOff(player);
      }
      if (result.selection === 2) {
        player.runCommandAsync(`function on`)
      }
})}

function BlockList(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Block List")
    form.body('Block Category(not block name)\n§lConcrete\n§lGlass\n§lPlanks\n§lSand\n§lStone\n§lWool')
    form.button("Back")

   form.show(player).then(result => {
      if (result.selection === 0) {
        NdarSystem(player);
      } 
})}

function ShapesBlockOff(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Shapes")
    form.button("Back")
    form.button("Select", "NdarUi/null")
    form.button("Select", "NdarUi/null")
    form.button("Select", "NdarUi/null")
    form.button("Select", "NdarUi/null")
    form.button("Select", "NdarUi/null")
    form.button("Select", "NdarUi/null")

   form.show(player).then(result => {
      if (result.selection === 0) {
        NdarSystem(player);
      } 
      if (result.selection === 1) {
        NdarSystem(player);
      }
      if (result.selection === 2) {
        NdarSystem(player);
      }
      if (result.selection === 3) {
        NdarSystem(player);
      } 
      if (result.selection === 4) {
        NdarSystem(player);
      }
      if (result.selection === 5) {
        NdarSystem(player);
      }
      if (result.selection === 6) {
        NdarSystem(player);
      }
})}
