import { world } from "@minecraft/server"
import { ActionFormData, ModalFormData } from "@minecraft/server-ui"
import { MessageFormData } from "@minecraft/server-ui"
import { system } from "@minecraft/server";


world.events.beforeItemUse.subscribe((eventData) => {
    let item = eventData.item;
    let player = eventData.source;
    if (player?.typeId != "minecraft:player") return
    if (item?.typeId == "ndar:miring_voxel") {
        NdarSystem(player);
   }}); 
function NdarSystem(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Shapes")
    form.button("Block List")
    form.button("Shapes Block")
    form.button("Reset")

   form.show(player).then(result => {
      if (result.selection === 0) {
        BlockList(player);
      }  
      if (result.selection === 1) {
        ShapesBlock(player);
      }
      if (result.selection === 2) {
        player.runCommandAsync(`function reset`)
      }
})}

function BlockList(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Block List")
    form.body('Block Category(not block name)\n§lConcrete\n§lGlass\n§lPlanks\n§lSand\n§lStone\n§lWool')
    form.button("Back")

   form.show(player).then(result => {
      if (result.selection === 0) {
        NdarSystem(player);
      } 
})}

function ShapesBlock(player) {
 const players = Array.from(world.getPlayers())
  const form = new ActionFormData()
    form.title("Shapes")
    form.button("Back")
    form.button("Select", "NdarUi/normal")
    form.button("Select", "NdarUi/miring_mulus")
    form.button("Select", "NdarUi/miring_keluar")
    form.button("Select", "NdarUi/miring_kedalam")
    form.button("§a§oSelect", "NdarUi/miring_voxel")
    form.button("Select", "NdarUi/miring2sisi_voxel")

   form.show(player).then(result => {
      if (result.selection === 0) {
        NdarSystem(player);
      } 
      if (result.selection === 1) {
        player.runCommandAsync(`function normal`)
      }
      if (result.selection === 2) {
        player.runCommandAsync(`function miring_mulus`)
      }
      if (result.selection === 3) {
        player.runCommandAsync(`function miring_keluar`)
      } 
      if (result.selection === 4) {
        player.runCommandAsync(`function miring_kedalam`)
      }
      if (result.selection === 5) {
        player.runCommandAsync(`function empty`)
      }
      if (result.selection === 6) {
        player.runCommandAsync(`function miring2sisi_voxel`)
      }
})}